Bug 852330 - Review Request: hibernate - Relational persistence and query service
Summary: Review Request: hibernate - Relational persistence and query service
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 809950 815060 845540
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-28 08:26 UTC by gil cattaneo
Modified: 2012-11-09 13:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-09 13:48:38 UTC
Type: ---
mgoldman: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
build failed (629.53 KB, text/plain)
2012-10-15 18:52 UTC, gil cattaneo
no flags Details

Description gil cattaneo 2012-08-28 08:26:22 UTC
Spec URL: http://gil.fedorapeople.org/hibernate4.spec
SRPM URL: http://gil.fedorapeople.org/hibernate4-4.1.6-1.fc16.src.rpm
Description: Hibernate is a powerful, ultra-high performance
object/relational persistence and query service
for Java. Hibernate lets you develop persistent
objects following common Java idiom - including
association, inheritance, polymorphism, composition
and the Java collections framework. Extremely
fine-grained, richly typed object models are
possible. The Hibernate Query Language, designed
as a "minimal" object-oriented extension to SQL,
provides an elegant bridge between the object and
relational worlds. Hibernate is now the most
popular ORM solution for Java.
Fedora Account System Username: gil

Comment 1 Marek Goldmann 2012-09-01 08:34:45 UTC
This package should be renamed  to "hibernate".

Comment 3 gil cattaneo 2012-09-21 22:17:56 UTC
Spec URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final
/hibernate.spec
SRPM URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final
/hibernate-4.1.7-1.fc16.src.rpm
- update to 4.1.7.Final

Comment 5 Marek Goldmann 2012-10-15 08:35:08 UTC
Package doesn't build; https://gist.github.com/3891462

BTW, Please make sure you rebuild gradle without bootstrapping, so we can use the correct version of it to build other packages, like hibernate.

Comment 6 gil cattaneo 2012-10-15 18:52:34 UTC
Created attachment 627629 [details]
build failed

Comment 7 gil cattaneo 2012-10-15 18:53:47 UTC
(In reply to comment #5)
> Package doesn't build; https://gist.github.com/3891462
yes .. only in koji... see attached
> BTW, Please make sure you rebuild gradle without bootstrapping, so we can
> use the correct version of it to build other packages, like hibernate.
done
thanks

Comment 8 gil cattaneo 2012-10-16 04:13:45 UTC
Spec URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final/1/hibernate.spec
SRPM URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final/1/hibernate-4.1.7-2.fc16.src.rpm

- update PATCH0, fixed duplicate or wrong build deps

Comment 9 Marek Goldmann 2012-10-17 09:22:39 UTC
Package still fails to build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4598274

Comment 10 gil cattaneo 2012-10-17 20:34:59 UTC
Spec URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final/2/hibernate.spec
SRPM URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final/2/hibernate-4.1.7-3.fc16.src.rpm

- removed gralde maven plugin references
- update buildrequires list
- fix jboss-jts aId

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4601279

Comment 11 Marek Goldmann 2012-10-29 07:18:19 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
[!]: Fully versioned dependency in subpackages, if present.
     Note: Missing: 'Requires: %%{name} =' in: hibernate-c3p0, hibernate-core,
     hibernate-ehcache, hibernate-entitymanager, hibernate-envers, hibernate-
     infinispan, hibernate-proxool, hibernate-testing
See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
[!]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
     Note: No /usr/share/javadoc/hibernate found
See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 2 files have unknown
     license.

     Several files are under ASL 2.0 license, the lciense field should be following:

     LGPLv2+ and ASL 2.0

[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

     The package should install also the Apache license, as per: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text This can be found here: http://www.apache.org/licenses/LICENSE-2.0.txt

[!]: Packaging. There is no main "hibernate" package, which may confuse people. One option is to rename the "hibernate-core" package to "hibernate".

[!]: Packaging. It's still unsolved how we should deal with the same gid:aid for artifacts in hibernate3 and hibernate (4) packages. This needs some thought so we can fix it properly. Until it gets resolved, this review will not be approved. This doesn't block you of course from fixing all above issues.

=== Notes ===
1. Some of the tests are commented out (lines ~305), the missing class is available in jboss-jts package, in /usr/share/java/jboss-jts/jbossjts.jar jar. Maybe you can enable them? If not, this is not a blocker.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 2 files have unknown
     license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[!]: Fully versioned dependency in subpackages, if present.
     Note: Missing: 'Requires: %%{name} =' in: hibernate-c3p0, hibernate-core,
     hibernate-ehcache, hibernate-entitymanager, hibernate-envers, hibernate-
     infinispan, hibernate-proxool, hibernate-testing
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[!]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
     Note: No /usr/share/javadoc/hibernate found
[x]: Bundled jar/class files should be removed before build
     Note: Test run failed

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed


Rpmlint
-------
Checking: hibernate-c3p0-4.1.7-3.fc19.noarch.rpm
          hibernate-core-4.1.7-3.fc19.noarch.rpm
          hibernate-ehcache-4.1.7-3.fc19.noarch.rpm
          hibernate-entitymanager-4.1.7-3.fc19.noarch.rpm
          hibernate-envers-4.1.7-3.fc19.noarch.rpm
          hibernate-infinispan-4.1.7-3.fc19.noarch.rpm
          hibernate-proxool-4.1.7-3.fc19.noarch.rpm
          hibernate-testing-4.1.7-3.fc19.noarch.rpm
          hibernate-javadoc-4.1.7-3.fc19.noarch.rpm
hibernate-c3p0.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-core.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-ehcache.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-entitymanager.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-envers.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-infinispan.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-proxool.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-testing.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-javadoc.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
9 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint hibernate-javadoc hibernate-entitymanager hibernate-c3p0 hibernate-proxool hibernate-testing hibernate-core hibernate-ehcache hibernate-envers hibernate-infinispan
hibernate-javadoc.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-entitymanager.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-c3p0.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-proxool.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-testing.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-core.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-ehcache.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-envers.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate-infinispan.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
9 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
hibernate-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

hibernate-entitymanager (rpmlib, GLIBC filtered):
    dom4j
    hibernate-commons-annotations
    hibernate-core
    hibernate-jpa-2.0-api
    javassist
    jboss-logging
    jboss-transaction-1.1-api

hibernate-c3p0 (rpmlib, GLIBC filtered):
    c3p0
    hibernate-core
    jboss-logging

hibernate-proxool (rpmlib, GLIBC filtered):
    hibernate-core
    jboss-logging
    proxool

hibernate-testing (rpmlib, GLIBC filtered):
    byteman
    hibernate-core
    jboss-jts
    junit
    xapool

hibernate-core (rpmlib, GLIBC filtered):
    ant
    antlr-tool
    bean-validation-api
    classmate
    dom4j
    hibernate-commons-annotations
    hibernate-jpa-2.0-api
    hibernate-validator
    jandex
    javassist
    jboss-jacc-1.4-api
    jboss-logging
    jboss-transaction-1.1-api

hibernate-ehcache (rpmlib, GLIBC filtered):
    ehcache-core
    hibernate-core
    jboss-logging

hibernate-envers (rpmlib, GLIBC filtered):
    hibernate-core
    hibernate-entitymanager
    jboss-logging

hibernate-infinispan (rpmlib, GLIBC filtered):
    hibernate-core
    hibernate-testing
    infinispan
    jboss-common-core
    jboss-logging
    rhq-plugin-annotations



Provides
--------
hibernate-javadoc:
    hibernate-javadoc

hibernate-entitymanager:
    hibernate-entitymanager
    mvn(org.hibernate:hibernate-entitymanager)

hibernate-c3p0:
    hibernate-c3p0
    mvn(org.hibernate:hibernate-c3p0)

hibernate-proxool:
    hibernate-proxool
    mvn(org.hibernate:hibernate-proxool)

hibernate-testing:
    hibernate-testing
    mvn(org.hibernate:hibernate-testing)

hibernate-core:
    hibernate-core
    mvn(org.hibernate:hibernate-core)

hibernate-ehcache:
    hibernate-ehcache
    mvn(org.hibernate:hibernate-ehcache)

hibernate-envers:
    hibernate-envers
    mvn(org.hibernate:hibernate-envers)

hibernate-infinispan:
    hibernate-infinispan
    mvn(org.hibernate:hibernate-infinispan)



MD5-sum check
-------------
http://repo1.maven.org/maven2/org/hibernate/hibernate-core/4.1.7.Final/hibernate-core-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : 8086e9049585c2a530ec190e7694f1ee5544b46984c76809a6272a259261c245
  CHECKSUM(SHA256) upstream package : 8086e9049585c2a530ec190e7694f1ee5544b46984c76809a6272a259261c245
http://repo1.maven.org/maven2/org/hibernate/hibernate-ehcache/4.1.7.Final/hibernate-ehcache-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : 3303126cf073a2d43c8e78bce9c5f8caae1a77ab2aba6aaf76465ac8065d55e3
  CHECKSUM(SHA256) upstream package : 3303126cf073a2d43c8e78bce9c5f8caae1a77ab2aba6aaf76465ac8065d55e3
http://sourceforge.net/projects/hibernate/files/hibernate4/4.1.7.Final/hibernate-release-4.1.7.Final.tgz :
  CHECKSUM(SHA256) this package     : d578947bb840bf1cf37849ed11588dcd41a7dda6e8e190808752868e9daaa56b
  CHECKSUM(SHA256) upstream package : d578947bb840bf1cf37849ed11588dcd41a7dda6e8e190808752868e9daaa56b
http://repo1.maven.org/maven2/org/hibernate/hibernate-c3p0/4.1.7.Final/hibernate-c3p0-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : ba295da3742bc4c451aef8cf6fb40282e9139e9851d98896ce34ce08e3407b8c
  CHECKSUM(SHA256) upstream package : ba295da3742bc4c451aef8cf6fb40282e9139e9851d98896ce34ce08e3407b8c
http://repo1.maven.org/maven2/org/hibernate/hibernate-infinispan/4.1.7.Final/hibernate-infinispan-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : 9c4b85c41d62e394cfc693ba415294d8df4fd1fb6201576787fdc804acd6a77f
  CHECKSUM(SHA256) upstream package : 9c4b85c41d62e394cfc693ba415294d8df4fd1fb6201576787fdc804acd6a77f
http://repo1.maven.org/maven2/org/hibernate/hibernate-proxool/4.1.7.Final/hibernate-proxool-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : fc9f102e011e066419c4d1eb9036bae16f8d944a9d34528e2d146c714d4abc7f
  CHECKSUM(SHA256) upstream package : fc9f102e011e066419c4d1eb9036bae16f8d944a9d34528e2d146c714d4abc7f
http://repo1.maven.org/maven2/org/hibernate/hibernate-entitymanager/4.1.7.Final/hibernate-entitymanager-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : cec0b59fe8ac8c1d477c51528d5dc01a5a2848cfe51848328d0c6f5a91b14068
  CHECKSUM(SHA256) upstream package : cec0b59fe8ac8c1d477c51528d5dc01a5a2848cfe51848328d0c6f5a91b14068
http://repo1.maven.org/maven2/org/hibernate/hibernate-envers/4.1.7.Final/hibernate-envers-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : fb2f4610db5a7e5d0011cd13b4e950c14bad0d5da122f24f53a4401107d6c3b5
  CHECKSUM(SHA256) upstream package : fb2f4610db5a7e5d0011cd13b4e950c14bad0d5da122f24f53a4401107d6c3b5
http://repo1.maven.org/maven2/org/hibernate/hibernate-testing/4.1.7.Final/hibernate-testing-4.1.7.Final.pom :
  CHECKSUM(SHA256) this package     : 1288901e081ea278783003d4351c5562bca2f7806fe1655e63d8bf1568f73277
  CHECKSUM(SHA256) upstream package : 1288901e081ea278783003d4351c5562bca2f7806fe1655e63d8bf1568f73277

Comment 12 gil cattaneo 2012-10-29 09:07:45 UTC
Spec URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final/3/hibernate.spec
SRPM URL: http://gil.fedorapeople.org/hibernate/4.1.7.Final/3/hibernate-4.1.7-4.fc16.src.rpm

- fix license field
- added ASL license txt file
- renamed the "hibernate-core" package as "hibernate"

Comment 13 Marek Goldmann 2012-10-30 08:51:46 UTC
Thanks, any comments on why you don't build envers?

Comment 14 gil cattaneo 2012-10-30 09:02:45 UTC
hi , envers module is enabled and built envers...
sorry i don't understand your assertion...
thanks

Comment 15 Marek Goldmann 2012-10-30 09:13:50 UTC
Yep, my fault I was misled by one of the comment, sorry.

Comment 16 Marek Goldmann 2012-11-08 11:07:56 UTC
I've tested this package with jboss-as, works, therefore I'm approving.

================
*** APPROVED ***
================

Please request branches f17 and f18, but please DO NOT build any packages for these branches, because it'll break a lot of things. Build the package ONLY for Rawhide.

Comment 17 gil cattaneo 2012-11-08 11:16:00 UTC
New Package SCM Request
=======================
Package Name: hibernate
Short Description: Relational persistence and query service
Owners: gil
Branches: f17 f18
InitialCC: java-sig

Comment 18 Gwyn Ciesla 2012-11-08 13:28:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.